## Описание проекта
**Searchengine** — поисковый движок, созданный с использованием фреймворка **Spring Boot** . Этот проект позволяет пользователям искать информацию на предложенных сайтах. Поисковый движок индексирует сайты заранее заданные администратором и предоставляет возможность быстрого поиска по ключевым словам.

Основные функции:
- Индексация указанных сайтов.
- Выполнение полнотекстового поиска.
- Ранжирование результатов по релевантности.
- Простой пользовательский интерфейс для взаимодействия с системой.
## Технологии
Проект разработан с использованием следующих технологий:
- Java 21+
- Spring Boot 3.x
- Spring Data JPA
- Thymeleaf (для простого веб-интерфейса)
- Maven (управление зависимостями)
- MySQL (база данных)